Package org.gitana.platform.client.meter

# Interface Meter

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `RegistrarDocument`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `MeterImpl`

public interface Meter extends RegistrarDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_COLLECTION_ID`
`static final String`
`FIELD_BILLABLE_BYTE_COUNT`
`static final String`
`FIELD_BILLABLE_BYTE_COUNT_PERCENTAGE`
`static final String`
`FIELD_BILLABLE_OBJECT_COUNT`
`static final String`
`FIELD_BILLABLE_OBJECT_COUNT_PERCENTAGE`
`static final String`
`FIELD_MAX_BYTE_COUNT`
`static final String`
`FIELD_MAX_OBJECT_COUNT`
`static final String`
`FIELD_METER_END`
`static final String`
`FIELD_METER_START`
`static final String`
`FIELD_METER_TYPE`
`static final String`
`FIELD_RAW_BYTE_COUNT`
`static final String`
`FIELD_RAW_BYTE_COUNT_PERCENTAGE`
`static final String`
`FIELD_RAW_OBJECT_COUNT`
`static final String`
`FIELD_RAW_OBJECT_COUNT_PERCENTAGE`
`static final String`
`FIELD_TENANT_ID`
`static final String`
`FIELD_UNPROCESSED_BYTE_COUNT`
`static final String`
`FIELD_UNPROCESSED_OBJECT_COUNT`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`long`
`getBillableByteCount()`
`BigDecimal`
`getBillableByteCountPercentage()`
`long`
`getBillableObjectCount()`
`BigDecimal`
`getBillableObjectCountPercentage()`
`long`
`getMaxByteCount()`
`long`
`getMaxObjectCount()`
`Calendar`
`getMeterEnd()`
`Calendar`
`getMeterStart()`
`org.gitana.platform.services.meter.MeterType`
`getMeterType()`
`long`
`getRawByteCount()`
`BigDecimal`
`getRawByteCountPercentage()`
`long`
`getRawObjectCount()`
`BigDecimal`
`getRawObjectCountPercentage()`
`String`
`getTenantId()`
`long`
`getUnprocessedByteCount()`
`long`
`getUnprocessedObjectCount()`
`void`
`setBillableByteCount(long billableByteCount)`
`void`
`setBillableByteCountPercentage(BigDecimal byteCountPercentage)`
`void`
`setBillableObjectCount(long billableObjectCount)`
`void`
`setBillableObjectCountPercentage(BigDecimal billableObjectCountPercentage)`
`void`
`setMaxByteCount(long maxByteCount)`
`void`
`setMaxObjectCount(long maxObjectCount)`
`void`
`setMeterEnd(Calendar meterEnd)`
`void`
`setMeterStart(Calendar meterStart)`
`void`
`setMeterType(org.gitana.platform.services.meter.MeterType meterType)`
`void`
`setRawByteCount(long rawByteCount)`
`void`
`setRawByteCountPercentage(BigDecimal rawByteCountPercentage)`
`void`
`setRawObjectCount(long rawObjectCount)`
`void`
`setRawObjectCountPercentage(BigDecimal rawObjectCountPercentage)`
`void`
`setTenantId(String tenantId)`
`void`
`setUnprocessedByteCount(long unprocessedByteCount)`
`void`
`setUnprocessedObjectCount(long unprocessedObjectCount)`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.registrar.RegistrarDocument

`getRegistrar, getRegistrarId`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### DEFAULT_COLLECTION_ID

static final String DEFAULT_COLLECTION_ID

See Also:
  - Constant Field Values

### FIELD_TENANT_ID

static final String FIELD_TENANT_ID

See Also:
  - Constant Field Values

### FIELD_METER_TYPE

static final String FIELD_METER_TYPE

See Also:
  - Constant Field Values

### FIELD_METER_START

static final String FIELD_METER_START

See Also:
  - Constant Field Values

### FIELD_METER_END

static final String FIELD_METER_END

See Also:
  - Constant Field Values

### FIELD_MAX_BYTE_COUNT

static final String FIELD_MAX_BYTE_COUNT

See Also:
  - Constant Field Values

### FIELD_RAW_BYTE_COUNT

static final String FIELD_RAW_BYTE_COUNT

See Also:
  - Constant Field Values

### FIELD_RAW_BYTE_COUNT_PERCENTAGE

static final String FIELD_RAW_BYTE_COUNT_PERCENTAGE

See Also:
  - Constant Field Values

### FIELD_UNPROCESSED_BYTE_COUNT

static final String FIELD_UNPROCESSED_BYTE_COUNT

See Also:
  - Constant Field Values

### FIELD_BILLABLE_BYTE_COUNT

static final String FIELD_BILLABLE_BYTE_COUNT

See Also:
  - Constant Field Values

### FIELD_BILLABLE_BYTE_COUNT_PERCENTAGE

static final String FIELD_BILLABLE_BYTE_COUNT_PERCENTAGE

See Also:
  - Constant Field Values

### FIELD_MAX_OBJECT_COUNT

static final String FIELD_MAX_OBJECT_COUNT

See Also:
  - Constant Field Values

### FIELD_RAW_OBJECT_COUNT

static final String FIELD_RAW_OBJECT_COUNT

See Also:
  - Constant Field Values

### FIELD_RAW_OBJECT_COUNT_PERCENTAGE

static final String FIELD_RAW_OBJECT_COUNT_PERCENTAGE

See Also:
  - Constant Field Values

### FIELD_UNPROCESSED_OBJECT_COUNT

static final String FIELD_UNPROCESSED_OBJECT_COUNT

See Also:
  - Constant Field Values

### FIELD_BILLABLE_OBJECT_COUNT

static final String FIELD_BILLABLE_OBJECT_COUNT

See Also:
  - Constant Field Values

### FIELD_BILLABLE_OBJECT_COUNT_PERCENTAGE

static final String FIELD_BILLABLE_OBJECT_COUNT_PERCENTAGE

See Also:
  - Constant Field Values

## Method Details

### getTenantId

String getTenantId()

### setTenantId

void setTenantId(String tenantId)

### getMeterType

org.gitana.platform.services.meter.MeterType getMeterType()

### setMeterType

void setMeterType(org.gitana.platform.services.meter.MeterType meterType)

### getMeterStart

Calendar getMeterStart()

### setMeterStart

void setMeterStart(Calendar meterStart)

### getMeterEnd

Calendar getMeterEnd()

### setMeterEnd

void setMeterEnd(Calendar meterEnd)

### getMaxByteCount

long getMaxByteCount()

### setMaxByteCount

void setMaxByteCount(long maxByteCount)

### getRawByteCount

long getRawByteCount()

### setRawByteCount

void setRawByteCount(long rawByteCount)

### getRawByteCountPercentage

BigDecimal getRawByteCountPercentage()

### setRawByteCountPercentage

void setRawByteCountPercentage(BigDecimal rawByteCountPercentage)

### getUnprocessedByteCount

long getUnprocessedByteCount()

### setUnprocessedByteCount

void setUnprocessedByteCount(long unprocessedByteCount)

### getBillableByteCount

long getBillableByteCount()

### setBillableByteCount

void setBillableByteCount(long billableByteCount)

### getBillableByteCountPercentage

BigDecimal getBillableByteCountPercentage()

### setBillableByteCountPercentage

void setBillableByteCountPercentage(BigDecimal byteCountPercentage)

### getMaxObjectCount

long getMaxObjectCount()

### setMaxObjectCount

void setMaxObjectCount(long maxObjectCount)

### getRawObjectCount

long getRawObjectCount()

### setRawObjectCount

void setRawObjectCount(long rawObjectCount)

### getRawObjectCountPercentage

BigDecimal getRawObjectCountPercentage()

### setRawObjectCountPercentage

void setRawObjectCountPercentage(BigDecimal rawObjectCountPercentage)

### getUnprocessedObjectCount

long getUnprocessedObjectCount()

### setUnprocessedObjectCount

void setUnprocessedObjectCount(long unprocessedObjectCount)

### getBillableObjectCount

long getBillableObjectCount()

### setBillableObjectCount

void setBillableObjectCount(long billableObjectCount)

### getBillableObjectCountPercentage

BigDecimal getBillableObjectCountPercentage()

### setBillableObjectCountPercentage

void setBillableObjectCountPercentage(BigDecimal billableObjectCountPercentage)